SFML - Simple and Fast Multimedia Library

SFML 3.0.1

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Glyph Struct Reference
Graphics module

Structure describing a glyph. More...

`#include <SFML/Graphics/Glyph.hpp>`

## Public Attributes
float | advance {}
| Offset to move horizontally to the next character.
int | lsbDelta {}
| Left offset after forced autohint. Internally used by getKerning()
int | rsbDelta {}
| Right offset after forced autohint. Internally used by getKerning()
FloatRect | bounds
| Bounding rectangle of the glyph, in coordinates relative to the baseline.
IntRect | textureRect
| Texture coordinates of the glyph inside the font's texture.

## Detailed Description

Structure describing a glyph.

A glyph is the visual representation of a character.

The `sf::Glyph` structure provides the information needed to handle the glyph:

- its coordinates in the font's texture
- its bounding rectangle
- the offset to apply to get the starting position of the next glyph

See also
  `sf::Font`

Definition at line 41 of file Glyph.hpp.

## Member Data Documentation

## ◆ advance

float sf::Glyph::advance {}

Offset to move horizontally to the next character.

Definition at line 43 of file Glyph.hpp.

## ◆ bounds

FloatRect sf::Glyph::bounds

Bounding rectangle of the glyph, in coordinates relative to the baseline.

Definition at line 46 of file Glyph.hpp.

## ◆ lsbDelta

int sf::Glyph::lsbDelta {}

Left offset after forced autohint. Internally used by getKerning()

Definition at line 44 of file Glyph.hpp.

## ◆ rsbDelta

int sf::Glyph::rsbDelta {}

Right offset after forced autohint. Internally used by getKerning()

Definition at line 45 of file Glyph.hpp.

## ◆ textureRect

IntRect sf::Glyph::textureRect

Texture coordinates of the glyph inside the font's texture.

Definition at line 47 of file Glyph.hpp.

The documentation for this struct was generated from the following file:

- Glyph.hpp